import 'package:mohem_flutter_app/theme/colors.dart';
import 'package:mohem_flutter_app/widgets/txt.dart';
import 'package:flutter/material.dart';

class ShowFillButton extends StatelessWidget {
  String title;
  VoidCallback onPressed;
  Color txtColor;
  double elevation, radius,width;

  ShowFillButton({
    required this.title,
    required this.onPressed,
    this.txtColor = Colors.white,
    this.elevation = 4,
    this.radius = 6,
    this.width=88,
  });

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        onPrimary: Colors.black87,
        primary: accentColor,
        minimumSize: Size(width, 45),
        padding: EdgeInsets.symmetric(horizontal: 16),
        elevation: elevation,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.all(Radius.circular(radius)),
        ),
      ),
      onPressed: onPressed,
      child: Txt(
        title.toUpperCase(),
        color: txtColor,
        txtType: TxtType.heading1,
      ),
    );
  }
}
